<?php require("config.php"); ?>
<html>
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title><?php echo $header; ?> - Air Quality Index</title>
    <script src="aqi.js"></script>
    <style>
      .chart-container {
        width: 640px;
        height: auto;
      }
    </style>	
    <!-- javascript -->
    <script type="text/javascript" src="js/jquery-1.7.2.min.js"></script>
    <script type="text/javascript" src="js/Chart.min.js"></script>
    <script>$(document).ready(function(){
  $.ajax({
    url : "aqi_chart.php",
    type : "GET",
    success : function(data){
      //console.log(data);

      var timing = [];
      var pm10 = [];
      var pm25 = [];
	  var maxpm10 = [];
	  var maxpm25 = [];
	  var myObj = JSON.parse(data);
      for(var i in myObj) {
		
        timing.push(myObj[i].timing);
		//console.log(myObj[i].timing);
        pm10.push(myObj[i].pm10);
		//console.log(myObj[i].pm10);
        pm25.push(myObj[i].pm25);
		//console.log(myObj[i].pm25);
		maxpm25.push(25);
		maxpm10.push(50);

      }
	  var count = pm25.lenght;

      var chartdata = {
        labels: timing,
        datasets: [
          {
            label: "Andamento  PM10  (µg/m³)",
            fill: false,
            lineTension: 0.1,
            backgroundColor: "rgba(59, 89, 152, 0.75)",
            borderColor: "rgba(59, 89, 152, 1)",
            pointHoverBackgroundColor: "rgba(59, 89, 152, 1)",
            pointHoverBorderColor: "rgba(59, 89, 152, 1)",
            data: pm10
          },
          {
            label: "Andamento  PM2.5  (µg/m³)",
            fill: false,
            lineTension: 0.1,
            backgroundColor: "rgba(29, 202, 255, 0.75)",
            borderColor: "rgba(29, 202, 255, 1)",
            pointHoverBackgroundColor: "rgba(29, 202, 255, 1)",
            pointHoverBorderColor: "rgba(29, 202, 255, 1)",
            data: pm25
          },
			{
				  label: "Limite Giornaliero PM2.5 (25 µg/m³)",
				  lineTension: 0.1,
				  data: maxpm25,
				  fill: false,
				  radius: 0,
				  color: "rgba(255,153,51,0.5)",
				  backgroundColor: "rgba(255,153,51,0.5)",
				  borderColor: "rgba(255,153,51,0.5)"			},	
			{
				  label: "Limite Giornaliero PM10 (50 µg/m³)",
				  lineTension: 0.1,
				  data: maxpm10,
				  fill: false,
				  radius: 0,
				  color: "rgba(153,0,51,0.5)",
				  backgroundColor: "rgba(153,0,51,0.5)",
				  borderColor: "rgba(153,0,51,0.5)"
			},	  
        ]
      };

      var ctx = $("#mycanvas");

      var LineGraph = new Chart(ctx, {
        type: 'line',
        data: chartdata,
		options: {
			scales: {
				yAxes: [{
					ticks: {
						beginAtZero:true
					}
				}]
			}
		}
      });
    },
    error : function(data) {

    }
  });
  $.ajax({
    url : "aqi_avg_chart.php",
    type : "GET",
    success : function(data){
      //console.log(data);

      var timing = [];
      var pm10 = [];
      var pm25 = [];
	  var maxpm10 = [];
	  var maxpm25 = [];
	  var myObj = JSON.parse(data);
	  
      for(var i in myObj) {
		
        timing.push(myObj[i].timing);
		//console.log(myObj[i].timing);
        pm10.push(myObj[i].pm10);
		//console.log(myObj[i].pm10);
        pm25.push(myObj[i].pm25);
		//console.log(myObj[i].pm25);
		maxpm25.push(25);
		maxpm10.push(50);
      }

      var chartdata = {
        labels: timing,
        datasets: [
			  {
				label: "Media Giornaliera PM10 (µg/m³)",
				fill: false,
				lineTension: 0.1,
				backgroundColor: "rgba(59, 89, 152, 0.75)",
				borderColor: "rgba(59, 89, 152, 1)",
				pointHoverBackgroundColor: "rgba(59, 89, 152, 1)",
				pointHoverBorderColor: "rgba(59, 89, 152, 1)",
				data: pm10
			  },
			  {
				label: "Media Giornaliera PM2.5 (µg/m³)",
				fill: false,
				lineTension: 0.1,
				backgroundColor: "rgba(29, 202, 255, 0.75)",
				borderColor: "rgba(29, 202, 255, 1)",
				pointHoverBackgroundColor: "rgba(29, 202, 255, 1)",
				pointHoverBorderColor: "rgba(29, 202, 255, 1)",
				data: pm25
			  },
			{
				  label: "Limite Giornaliero PM2.5 (25 µg/m³)",
				  lineTension: 0.1,
				  data: maxpm25,
				  fill: false,
				  radius: 0,
				  color: "rgba(255,153,51,0.5)",
				  backgroundColor: "rgba(255,153,51,0.5)",
				  borderColor: "rgba(255,153,51,0.5)"			},	
			{
				  label: "Limite Giornaliero PM10 (50 µg/m³)",
				  lineTension: 0.1,
				  data: maxpm10,
				  fill: false,
				  radius: 0,
				  color: "rgba(153,0,51,0.5)",
				  backgroundColor: "rgba(153,0,51,0.5)",
				  borderColor: "rgba(153,0,51,0.5)"
			},	
        ]
      };

      var ctx = $("#mycanvas2");

      var LineGraph = new Chart(ctx, {
        type: 'line',
        data: chartdata,
		options: {
			scales: {
				yAxes: [{
					ticks: {
						beginAtZero:true
					}
				}]
			}
		}
      });
    },
    error : function(data) {

    }
  });
});
</script>
	
	<link rel='stylesheet' href='aqi.css'>
 </head>
  <body onload="getData()">

    <div class="container">
		<h1> <?php echo $header; ?> - Analisi dell'aria</h1>
      <h2>Air Quality Index</h2>
      <p class='time' id="time"></p>
      <div class='aqi-container' id="containerPm25">
          <div class='aqi-label'>AQI (PM2.5)</div>
          <div class='aqi' id="aqiPm25"></div>
          <div class='pm-label' id="pm25"></div>
      </div>
      <div class='aqi-container' id="containerPm10">
          <div class='aqi-label'>AQI (PM10)</div>
          <div class='aqi' id="aqiPm10"></div>
          <div class='pm-label' id="pm10"></div>
      </div>
	  <h2>Media Ultima ora</h2>
      <div class='aqi-container' id="containerPm25h1">
          <div class='aqi-label'>AQI (PM2.5)</div>
          <div class='aqi' id="aqiPm25h1"></div>
          <div class='pm-label' id="pm25h1"></div>
      </div>
      <div class='aqi-container' id="containerPm10h1">
          <div class='aqi-label'>AQI (PM10)</div>
          <div class='aqi' id="aqiPm10h1"></div>
          <div class='pm-label' id="pm10h1"></div>
      </div>
	  <h2>Media Ultime 24 ore</h2>
      <div class='aqi-container' id="containerPm25h24">
          <div class='aqi-label'>AQI (PM2.5)</div>
          <div class='aqi' id="aqiPm25h24"></div>
          <div class='pm-label' id="pm25h24"></div>
      </div>
      <div class='aqi-container' id="containerPm10h24">
          <div class='aqi-label'>AQI (PM10)</div>
          <div class='aqi' id="aqiPm10h24"></div>
          <div class='pm-label' id="pm10h24"></div>
      </div>	


<table class="wikitable">

<tbody><tr>
<th style="text-align:center; width:100px;">AQI
</th>
<th>Air Pollution Level</th>
<th style="text-align:center; width:150px;">Air Pollution<br />Category</th>
</tr>
<tr>
<td style="text-align:center;">0–50
</td>
<td>Level 1</td>
<td style="text-align:center;background-color:#0f0;color:#000">Excellent</td>
</tr>
<tr>
<td style="text-align:center;">51–100
</td>
<td>Level 2</td>
<td style="text-align:center;background-color:#ff0;color:#000">Good</td>
</tr>
<tr>
<td style="text-align:center;">101–150
</td>
<td>Level 3</td>
<td style="text-align:center;background-color:#f90;color:#000">Lightly Polluted</td>
</tr>
<tr>
<td style="text-align:center;">151–200
</td>
<td>Level 4</td>
<td style="text-align:center;background-color:#f00;color:#000">Moderately Polluted</td>
</tr>
<tr>
<td style="text-align:center;">201–300
</td>
<td>Level 5</td>
<td style="text-align:center;background-color:#540099;color:#fff">Heavily Polluted</td>
</tr>
<tr>
<td style="text-align:center;">&gt;300
</td>
<td>Level 6</td>
<td style="text-align:center;background-color:#800000;color:#fff">Severely Polluted</td>
</tr></tbody></table>
<HR>
    <div class="chart-container">
      <canvas id="mycanvas" width="600" height="400"></canvas>
    </div>
<HR>
    <div class="chart-container">
      <canvas id="mycanvas2" width="600" height="400"></canvas>
    </div>


  </body>
</html>